#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  PulseAudio-14.2

- Next

  SDL-1.2.15

- Up
- Home

# SBC-1.5

## Introduction to SBC

The SBC is a digital audio encoder and decoder used to transfer data to Bluetooth audio output devices like headphones or loudspeakers.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.kernel.org/pub/linux/bluetooth/sbc-1.5.tar.xz

- Download MD5 sum: 6ff244dde9e5e12b26362a47ed91d3f9

- Download size: 260 KB

- Estimated disk space required: 2.7 MB

- Estimated build time: less than 0.1 SBU

### SBC Dependencies

#### Optional

libsndfile-1.0.31

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/sbc

## Installation of SBC

Install SBC by running the following commands:

    ./configure --prefix=/usr --disable-static --disable-tester &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-tester`: This disables the SBC tester. Remove it if you have installed libsndfile-1.0.31.

`--disable-static`: This switch prevents installation of static versions of the libraries.

## Contents

Installed Programs: sbcdec, sbcenc, and sbcinfo
Installed Library: libsbc.so
Installed Directory: /usr/include/sbc

### Short Descriptions

sbcdec | is a SBC decoder utility
sbcenc | is a SBC encoder utility
sbcinfo | is a subband codec (SBC) analyzer
`libsbc.so` | contains the SBC API functions

Last updated on 2021-02-21 15:09:04 -0800

- Prev

  PulseAudio-14.2

- Next

  SDL-1.2.15

- Up
- Home